Date: Friday, February 2, 2018 @ 20:42:55
  Author: heftig
Revision: 315775

archrelease: copy trunk to testing-x86_64

Added:
  nvidia-lts/repos/testing-x86_64/PKGBUILD
    (from rev 315774, nvidia-lts/trunk/PKGBUILD)
Deleted:
  nvidia-lts/repos/testing-x86_64/PKGBUILD
  nvidia-lts/repos/testing-x86_64/nvidia-lts.install

--------------------+
 PKGBUILD           |   96 ++++++++++++++++++++++-----------------------------
 nvidia-lts.install |   15 -------
 2 files changed, 43 insertions(+), 68 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-02-02 20:31:22 UTC (rev 315774)
+++ PKGBUILD    2018-02-02 20:42:55 UTC (rev 315775)
@@ -1,53 +0,0 @@
-# $Id$
-# Maintainer: Eric Bélanger <e...@archlinux.org>
-
-pkgname=nvidia-lts
-pkgver=390.25
-_extramodules=extramodules-4.14-lts
-pkgrel=3
-pkgdesc="NVIDIA drivers for linux-lts"
-arch=('x86_64')
-url="http://www.nvidia.com/";
-makedepends=("nvidia-utils=$pkgver" 'linux-lts>=4.14.16' 
'linux-lts-headers>=4.14.16')
-provides=('nvidia')
-license=('custom')
-install=nvidia-lts.install
-options=('!strip')
-source=("http://us.download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run";)
-sha512sums=('02dbb790013f51b6e6945933d977366211f47cb62f7ff1b6b2f57bd40be7fc28d8e92f223155f21fcb9154b857133235e68f9e020d0d8079f5e9f676d15177d7')
-
-[[ "$CARCH" = "x86_64" ]] && _pkg="NVIDIA-Linux-x86_64-${pkgver}-no-compat32"
-
-prepare() {
-    sh ${_pkg}.run --extract-only
-}
-
-build() {
-    export IGNORE_CC_MISMATCH=1
-
-    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"
-    cd "${_pkg}/kernel"
-    make SYSSRC=/usr/lib/modules/${_kernver}/build module
-}
-
-package() {
-    depends=('linux-lts>=4.14.16' "nvidia-utils=$pkgver" 'libgl')
-
-    install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia.ko" \
-      
"${pkgdir}/usr/lib/modules/${_extramodules}/kernel/drivers/video/nvidia.ko"
-    install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia-modeset.ko" \
-      
"${pkgdir}/usr/lib/modules/${_extramodules}/kernel/drivers/video/nvidia-modeset.ko"
-    install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia-drm.ko" \
-      "${pkgdir}/usr/lib/modules/${_extramodules}/nvidia-drm.ko"
-
-    if [[ "$CARCH" = "x86_64" ]]; then
-      install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia-uvm.ko" \
-        "${pkgdir}/usr/lib/modules/${_extramodules}/nvidia-uvm.ko"
-    fi
-
-    gzip "${pkgdir}/usr/lib/modules/${_extramodules}/kernel/drivers/video/"*.ko
-    install -d -m755 "${pkgdir}/usr/lib/modprobe.d"
-    echo "blacklist nouveau" >> "${pkgdir}/usr/lib/modprobe.d/nvidia-lts.conf"
-    echo "blacklist nvidiafb" >> "${pkgdir}/usr/lib/modprobe.d/nvidia-lts.conf"
-    install -D -m644 "${srcdir}/${_pkg}/LICENSE" 
"${pkgdir}/usr/share/licenses/nvidia-lts/LICENSE"
-}

Copied: nvidia-lts/repos/testing-x86_64/PKGBUILD (from rev 315774, 
nvidia-lts/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-02-02 20:42:55 UTC (rev 315775)
@@ -0,0 +1,43 @@
+# $Id$
+# Maintainer: Eric Bélanger <e...@archlinux.org>
+
+pkgname=nvidia-lts
+pkgver=390.25
+_extramodules=extramodules-4.14-lts
+pkgrel=1
+epoch=1
+arch=('x86_64')
+url="http://www.nvidia.com/";
+makedepends=('nvidia-libgl' "nvidia-utils=${pkgver}" 'linux-lts' 
'linux-lts-headers>=4.14.16')
+license=('custom')
+options=('!strip')
+source=("http://us.download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run";)
+sha512sums=('02dbb790013f51b6e6945933d977366211f47cb62f7ff1b6b2f57bd40be7fc28d8e92f223155f21fcb9154b857133235e68f9e020d0d8079f5e9f676d15177d7')
+
+_pkg="NVIDIA-Linux-x86_64-${pkgver}-no-compat32"
+
+prepare() {
+    sh "${_pkg}.run" --extract-only
+    cd "${_pkg}"
+}
+
+build() {
+    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"
+    cd "${_pkg}"/kernel
+    make SYSSRC=/usr/lib/modules/"${_kernver}/build" module
+}
+
+package() {
+    pkgdesc="NVIDIA drivers for linux-lts"
+    depends=('linux-lts>=4.14.16' "nvidia-utils=${pkgver}" 'libgl')
+
+    install -Dt "${pkgdir}/usr/lib/modules/${_extramodules}" -m644 \
+      "${srcdir}/${_pkg}/kernel"/nvidia{,-modeset,-drm,-uvm}.ko
+
+    find "${pkgdir}" -name '*.ko' -exec gzip -n {} +
+
+    echo "blacklist nouveau" |
+      install -Dm644 /dev/stdin "${pkgdir}/usr/lib/modprobe.d/${pkgname}.conf"
+
+    install -Dt "${pkgdir}/usr/share/licenses/${pkgname}" -m644 
"${srcdir}/${_pkg}/LICENSE"
+}

Deleted: nvidia-lts.install
===================================================================
--- nvidia-lts.install  2018-02-02 20:31:22 UTC (rev 315774)
+++ nvidia-lts.install  2018-02-02 20:42:55 UTC (rev 315775)
@@ -1,15 +0,0 @@
-post_install() {
-    EXTRAMODULES='extramodules-4.14-lts'
-    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
-    echo 'In order to use nvidia module, reboot the system.'
-}
-
-post_upgrade() {
-    EXTRAMODULES='extramodules-4.14-lts'
-    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
-}
-
-post_remove() {
-    EXTRAMODULES='extramodules-4.14-lts'
-    depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
-}

Reply via email to